import { Ref } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * Value for checkbox if v-model is array.
     */
    value: {
        type: StringConstructor;
        default: null;
    };
    /**
     * Value for v-model
     */
    modelValue: {
        type: (ArrayConstructor | BooleanConstructor)[];
        default: null;
    };
    /**
     * Html id
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Label for input
     */
    label: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Attribute hint
     */
    hint: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Input container div class.
     */
    classContainer: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    inputRef: Ref<HTMLInputElement | null>;
    validator: {
        onInvalid: (event: Event) => void;
        getInvalidMessage: () => string | null;
        setCustomError: (data: string) => void;
    };
}, unknown, {
    /**
     * Checkbox is checked or not.
     */
    isChecked(): boolean;
}, {
    /**
     * Hint id is generated
     */
    getHintId(): string;
    /**
     * On input event
     *
     * @param event
     */
    onInput(event: Event): void;
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(event: Event): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Value for checkbox if v-model is array.
     */
    value: {
        type: StringConstructor;
        default: null;
    };
    /**
     * Value for v-model
     */
    modelValue: {
        type: (ArrayConstructor | BooleanConstructor)[];
        default: null;
    };
    /**
     * Html id
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Label for input
     */
    label: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Attribute hint
     */
    hint: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Input container div class.
     */
    classContainer: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    label: string;
    value: string;
    modelValue: boolean | unknown[];
    hint: string;
    classContainer: string;
    validatorEnabled: boolean;
}, {}>;
export default _default;
